View Issue Details

IDProjectCategoryView StatusLast Update
0033783LazarusLCLpublic2018-06-03 19:39
ReportersembitAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version1.8.4Product Build 
Target Version1.8.5 (SVN)Fixed in Version1.9 (SVN) 
Summary0033783: goScrollKeepVisible option does not work in TStringGrid
DescriptiongoScrollKeepVisible option does not work in TStringGrid. Also does not work in Xubuntu 18.04 GTK2.
TagsNo tags attached.
Fixed in Revision58024
LazTarget1.8.6
WidgetsetWin32/Win64
Attached Files

Activities

sembit

2018-05-24 17:12

reporter  

ScrollKeepVisible.zip (129,375 bytes)

Vojtech Cihak

2018-05-24 22:57

reporter   ~0108517

I can confirm in
Lazarus 1.8.2 r57369 FPC 3.0.4 i386-win32-win32/win64
and
Lazarus 1.9.0 r58021M FPC 3.1.1 x86_64-linux-qt

Jesus Reyes

2018-05-25 08:26

developer   ~0108522

Please test.

sembit

2018-06-01 15:41

reporter   ~0108633

Thanks, it works (Windows, Xubuntu GTK2).

Issue History

Date Modified Username Field Change
2018-05-24 17:12 sembit New Issue
2018-05-24 17:12 sembit File Added: ScrollKeepVisible.zip
2018-05-24 22:57 Vojtech Cihak Note Added: 0108517
2018-05-25 08:25 Jesus Reyes Assigned To => Jesus Reyes
2018-05-25 08:25 Jesus Reyes Status new => assigned
2018-05-25 08:26 Jesus Reyes Fixed in Revision => 58024
2018-05-25 08:26 Jesus Reyes LazTarget => 1.8.6
2018-05-25 08:26 Jesus Reyes Note Added: 0108522
2018-05-25 08:26 Jesus Reyes Status assigned => resolved
2018-05-25 08:26 Jesus Reyes Fixed in Version => 1.9 (SVN)
2018-05-25 08:26 Jesus Reyes Resolution open => fixed
2018-05-25 08:26 Jesus Reyes Target Version => 1.8.5 (SVN)
2018-06-01 15:41 sembit Note Added: 0108633
2018-06-03 19:39 sembit Status resolved => closed